Bug 1696771 - unit test panic: TestLegacyScaleUpCM "missing method GetObject"
Summary: unit test panic: TestLegacyScaleUpCM "missing method GetObject"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Ryan Phillips
QA Contact: Weinan Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-05 15:22 UTC by Seth Jennings
Modified: 2019-06-04 10:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:47:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:47:15 UTC

Description Seth Jennings 2019-04-05 15:22:03 UTC
=== RUN   TestLegacyScaleUpCM
E0405 13:28:53.17681 ...
				
=== RUN   TestLegacyScaleUpCM
E0405 13:28:53.176811   27161 runtime.go:69] Observed a panic: &runtime.TypeAssertionError{interfaceString:"", concreteString:"testing.PatchActionImpl", assertedString:"testing.CreateAction", missingMethod:"GetObject"} (interface conversion: testing.PatchActionImpl is not testing.CreateAction: missing method GetObject)
/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/runtime/runtime.go:76
/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/runtime/runtime.go:65
/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/runtime/runtime.go:51
/usr/local/go/src/runtime/asm_amd64.s:573
/usr/local/go/src/runtime/panic.go:502
/usr/local/go/src/runtime/iface.go:85
/usr/local/go/src/runtime/iface.go:562
/go/src/github.com/openshift/origin/vendor/k8s.io/kubernetes/pkg/controller/podautoscaler/legacy_horizontal_test.go:475
/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/testing/fixture.go:504
/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/testing/fake.go:140
/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/kubernetes/typed/core/v1/fake/fake_event_expansion.go:64
/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/kubernetes/typed/core/v1/event_expansion.go:163
/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/tools/record/event.go:178
/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/tools/record/event.go:142
/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/tools/record/event.go:124
/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/tools/record/event.go:238
/usr/local/go/src/runtime/asm_amd64.s:2361
--- PASS: TestLegacyScaleUpCM (0.12s)
panic: interface conversion: testing.PatchActionImpl is not testing.CreateAction: missing method GetObject [recovered]
	panic: interface conversion: testing.PatchActionImpl is not testing.CreateAction: missing method GetObject

goroutine 2026 [running]:
github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/runtime.HandleCrash(0x0, 0x0, 0x0)
	/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/runtime/runtime.go:58 +0x16b
panic(0x1a2a1c0, 0xc4207ae380)
	/usr/local/go/src/runtime/panic.go:502 +0x24a
github.com/openshift/origin/vendor/k8s.io/kubernetes/pkg/controller/podautoscaler.(*legacyTestCase).runTest.func1(0x1d51b80, 0xc420d430e0, 0x0, 0x0, 0x0, 0x0, 0x0)
	/go/src/github.com/openshift/origin/vendor/k8s.io/kubernetes/pkg/controller/podautoscaler/legacy_horizontal_test.go:475 +0x1da
github.com/openshift/origin/vendor/k8s.io/client-go/testing.(*SimpleReactor).React(0xc4215bbfb0, 0x1d51b80, 0xc420d430e0, 0x1, 0x2, 0xc420906be0, 0x1, 0x2)
	/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/testing/fixture.go:504 +0x65
github.com/openshift/origin/vendor/k8s.io/client-go/testing.(*Fake).Invokes(0xc42045e280, 0x1d51b80, 0xc420d42f00, 0x1d31240, 0xc420840500, 0x0, 0x0, 0x0, 0x0)
	/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/testing/fake.go:140 +0x276
github.com/openshift/origin/vendor/k8s.io/client-go/kubernetes/typed/core/v1/fake.(*FakeEvents).PatchWithEventNamespace(0xc420e87a40, 0xc420840500, 0xc4209f03c0, 0x70, 0xb1, 0x0, 0xc4204ee540, 0x30)
	/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/kubernetes/typed/core/v1/fake/fake_event_expansion.go:64 +0x30a
github.com/openshift/origin/vendor/k8s.io/client-go/kubernetes/typed/core/v1.(*EventSinkImpl).Patch(0xc420d84220, 0xc420840500, 0xc4209f03c0, 0x70, 0xb1, 0x28, 0xc4204ee540, 0x7f82725560d0)
	/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/kubernetes/typed/core/v1/event_expansion.go:163 +0x81
github.com/openshift/origin/vendor/k8s.io/client-go/tools/record.recordEvent(0x1d48c20, 0xc420d84220, 0xc420840500, 0xc4209f03c0, 0x70, 0xb1, 0xc42052c001, 0xc420e87ac0, 0xc)
	/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/tools/record/event.go:178 +0x671
github.com/openshift/origin/vendor/k8s.io/client-go/tools/record.recordToSink(0x1d48c20, 0xc420d84220, 0xc420dc8000, 0xc420e87ac0, 0xc4202c1530, 0x2540be400)
	/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/tools/record/event.go:142 +0x1cc
github.com/openshift/origin/vendor/k8s.io/client-go/tools/record.(*eventBroadcasterImpl).StartRecordingToSink.func1(0xc420dc8000)
	/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/tools/record/event.go:124 +0xb7
github.com/openshift/origin/vendor/k8s.io/client-go/tools/record.(*eventBroadcasterImpl).StartEventWatcher.func1(0x1d33600, 0xc4202df2c0, 0xc4202df290)
	/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/tools/record/event.go:238 +0xfb
created by github.com/openshift/origin/vendor/k8s.io/client-go/tools/record.(*eventBroadcasterImpl).StartEventWatcher
	/go/src/github.com/openshift/origin/vendor/k8s.io/client-go/tools/record/event.go:229 +0x8e
FAIL	github.com/openshift/origin/vendor/k8s.io/kubernetes/pkg/controller/podautoscaler	13.597s

Comment 1 Ryan Phillips 2019-04-05 16:49:41 UTC
PR: https://github.com/kubernetes/kubernetes/pull/76189

Comment 2 Seth Jennings 2019-04-05 17:49:41 UTC
https://github.com/openshift/origin/pull/22490

Comment 4 Weinan Liu 2019-05-06 09:41:53 UTC
Hi Seth,
May I ask how is it going on the latest unit testing?

Comment 5 Seth Jennings 2019-05-06 12:55:23 UTC
We have not seen this issue since the fix was merged
https://search.svc.ci.openshift.org/?search=TestLegacyScaleUpCM

Comment 6 Weinan Liu 2019-05-07 05:17:09 UTC
Pushing to Verified since issue not seen https://search.svc.ci.openshift.org/?search=TestLegacyScaleUpCM

Comment 8 errata-xmlrpc 2019-06-04 10:47:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.